SoLockManager Class Reference
Miscellaneous Classes

The SoLockManager is a defunct software license lock mechanism. More...

`#include <Inventor/lock/SoLockMgr.h>`

## Static Public Member Functions

static void | SetUnlockString (char *unlockstr)
static char * | GetUnlockString (void)

## Detailed Description

The SoLockManager is a defunct software license lock mechanism.

This is just a dummy implementation of the TGS Inventor class used to provide a license locking mechanism. Since Coin can be used without any royalty fees or client-site license locks, no such mechanism is needed.

If you are looking for information about using Coin in proprietary applications for commercial distribution, read about the Coin Professional Edition License on the Coin web-pages here.

## Member Function Documentation

## SetUnlockString()

void SoLockManager::SetUnlockString | ( | char * | unlockstr | ) |

static

A void method provided just for source code compatibility in client applications with TGS Inventor.

It just stores the unlockstr argument internally to be able to provide it upon calls to GetUnlockString().

## GetUnlockString()

char * SoLockManager::GetUnlockString | ( | void |  | ) |

static

A void method provided just for source code compatibility in client applications with TGS Inventor.

Returns the string set through SetUnlockString().

The documentation for this class was generated from the following files:

- SoLockMgr.h
- SoLockManager.cpp